Appearance
Search Tenders
Search and filter EU tenders from TED and other sources.
Endpoint
POST /api/v1/tenders/searchRequest Body
json
{
"title": "construction",
"status": "active",
"publishedAt": {
"from": "2024-01-01T00:00:00Z",
"until": "2024-12-31T23:59:59Z"
},
"deadlineAt": {
"from": "2024-06-01T00:00:00Z",
"until": null
},
"sources": ["ted"],
"cpvCodes": ["45000000", "71000000"],
"buyerName": "Ministry",
"BuyerCountries": ["DE", "FR"],
"estimatedValue": {
"minValue": 10000,
"maxValue": 500000,
"currency": "EUR"
},
"sortBy": "publicationDate",
"limit": 20,
"offset": 0
}Fields
| Field | Type | Description |
|---|---|---|
title | string | Filter by tender title (partial match) |
status | string | Tender status (e.g. active, closed) |
publishedAt | DateRangeFilter | Filter by publication date range |
deadlineAt | DateRangeFilter | Filter by submission deadline range |
sources | string[] | Data sources to include. Currently supported: ted, enarocanje |
cpvCodes | string[] | Filter by CPV codes (8-digit codes) |
buyerName | string | Filter by contracting authority name (partial match) |
BuyerCountries | string[] | Filter by buyer country (ISO 3166-1 alpha-2). Supported: 27 EU member states + CH |
estimatedValue | EstimatedValueFilter | Filter by estimated contract value |
sortBy | string | Field to sort results by |
limit | integer | Number of results to return (pagination) |
offset | integer | Number of results to skip (pagination) |
DateRangeFilter
| Field | Type | Description |
|---|---|---|
from | string | null | Start of range (ISO 8601 datetime) |
until | string | null | End of range (ISO 8601 datetime) |
EstimatedValueFilter
| Field | Type | Description |
|---|---|---|
minValue | number | Minimum estimated value |
maxValue | number | Maximum estimated value |
currency | string | Currency code (ISO 4217, e.g. EUR) |
Response
json
{
"tenders": [
{
"title": "Road construction works",
"status": "active",
"source": "ted",
"publicationDate": "2024-03-15T00:00:00Z",
"deadline": "2024-05-01T12:00:00Z",
"buyer": {
"name": "Federal Ministry of Transport",
"country": "DE"
},
"cpvCodes": ["45233000"],
"link": "https://ted.europa.eu/udl?uri=TED:NOTICE:..."
}
],
"total": 142
}TenderResponse
| Field | Type | Description |
|---|---|---|
title | string | Tender title |
status | string | Tender status |
source | string | Data source (ted, enarocanje) |
publicationDate | string | ISO 8601 publication datetime |
deadline | string | null | ISO 8601 submission deadline, or null if not set |
buyer.name | string | Contracting authority name |
buyer.country | string | Buyer country (ISO 3166-1 alpha-2) |
cpvCodes | string[] | CPV codes for this tender |
link | string | URL to the original tender notice |
Error Responses
| Status | Description |
|---|---|
400 Bad Request | Malformed JSON body |
500 Internal Server Error | Database or server error |